/* This file is part of Eclat.
   Copyright (C) 2012 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include "eclat.h"
#include "dscrtags-cl.h"

int
eclat_describe_tags(CURL *curl, int argc, char **argv)
{
	int i;
	struct ec2_query *q;
	CURLcode res;
	char *url;
	
	parse_options(argc, argv, &i);
	argv += i;
	argc -= i;

	q = describe_query_create(curl, "DescribeTags", argc, argv);
	return eclat_send_query(curl, q);
}
